Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PickConeRay

    java.lang.Object
      javax.media.j3d.PickShape
          javax.media.j3d.PickCone
              javax.media.j3d.PickConeRay

    public final class PickConeRay

extends PickCone

PickConeRay is an infinite cone ray pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

Since:
  Java 3D 1.2
See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

Constructor Summary
`PickConeRay()` Constructs an empty PickConeRay.
`PickConeRay(Point3d origin, Vector3d direction, double spreadAngle)` Constructs an infinite cone pick shape from the specified parameters.

Method Summary
`void` | `set(Point3d origin, Vector3d direction, double spreadAngle)` Sets the parameters of this PickCone to the specified values.

Methods inherited from class javax.media.j3d.PickCone
`getDirection, getOrigin, getSpreadAngle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickConeRay

    public PickConeRay()

  Constructs an empty PickConeRay. The origin and direction of the cone are initialized to (0,0,0). The spread angle is initialized to `PI/64` radians.

### PickConeRay

    public PickConeRay(Point3d origin,
                       Vector3d direction,
                       double spreadAngle)

  Constructs an infinite cone pick shape from the specified parameters.

  Parameters:
    `origin` - the origin of the cone
    `direction` - the direction of the cone
    `spreadAngle` - the spread angle of the cone in radians

Method Detail

### set

    public void set(Point3d origin,
                    Vector3d direction,
                    double spreadAngle)

  Sets the parameters of this PickCone to the specified values.

  Parameters:
    `origin` - the origin of the cone
    `direction` - the direction of the cone
    `spreadAngle` - the spread angle of the cone in radians

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD